%define extraname tango-icon-theme-extras
%define extraversion 0.1.1

Summary:	Tango icon theme
Name:		tango-icon-theme
Version:	0.8.90
Release:	%mkrel 18
License:	Public Domain
Group:		Graphical desktop/Other
URL:		http://tango.freedesktop.org/Tango_Icon_Library#Download
Source0:	http://tango.freedesktop.org/releases/%{name}-%{version}.tar.bz2
Source1:	http://tango.freedesktop.org/releases/%{extraname}-%{extraversion}.tar.bz2
# https://www.gnome-look.org/content/show.php?content=41229
Source2:	tango_addon-0.5b.tar.bz2
Source3:	tango-icon-theme-xfce.tar.bz2
# From SUSE
Patch10:	tango-icon-theme-rsvg-2_35_2.patch
Patch11:	tango-icon-theme-extras-rsvg-2_35_2.patch
BuildArch:	noarch
BuildRequires:	intltool
BuildRequires:	imagemagick
BuildRequires:	imagemagick-devel
BuildRequires:	icon-naming-utils >= 0.8.90
BuildRequires:	librsvg
BuildRequires:	pkgconfig(librsvg-2.0)
Requires(post):	gtk-update-icon-cache

%description
This is an icon theme that follows the Tango visual guidelines.
It bundles with the extra icon set and additional %{_vendor} icons.

%prep
%setup -q -a 1 -a 2 -a 3
%autopatch -p1

cp %{extraname}-%{extraversion}/README README.extra
cp %{extraname}-%{extraversion}/AUTHORS AUTHORS.extra
cp %{extraname}-%{extraversion}/ChangeLog ChangeLog.extra

mv "tango addon" tango_addon
chmod 644 tango_addon/readme.txt
rm tango_addon/apps/gtk-close.svg

%build
autoreconf -vfi
./configure \
	--prefix=%{_prefix} \
	--enable-png-creation
%make_build

pushd %{extraname}-%{extraversion}
	autoreconf -vfi
	./configure \
		--prefix=%{_prefix} \
		--enable-png-creation
	%make_build
popd

%install
%make_install

pushd %{extraname}-%{extraversion}
	%make_install
popd

pushd tango_addon
	install -m 644 apps/* %{buildroot}%{_iconsdir}/Tango/scalable/apps
	install -m 644 categories/* %{buildroot}%{_iconsdir}/Tango/scalable/categories
popd

pushd tango-icon-theme-xfce
	install -m 644 scalable/apps/* %{buildroot}%{_iconsdir}/Tango/scalable/apps
popd

#for ghost
touch %{buildroot}%{_iconsdir}/Tango/icon-theme.cache

ln -s mozilla-firefox.svg %{buildroot}%{_iconsdir}/Tango/scalable/apps/firefox.svg

# don't ship some icons that look like Mandriva ones
rm -f %{buildroot}%{_iconsdir}/Tango/scalable/apps/{drakconf,mandrake,mandriva}.svg

# rename mandrivaupdate.svg to mageiaupdate.svg
mv %{buildroot}%{_iconsdir}/Tango/scalable/apps/mandrivaupdate.svg \
   %{buildroot}%{_iconsdir}/Tango/scalable/apps/mageiaupdate.svg

## Originally from Arch Linux:
pushd %{buildroot}%{_iconsdir}/Tango

# function using imagemagick to combine symbols with default folder-icon
# used below to create xdg-folders
	comp() {
		composite -gravity center \( ${size}x${size}/"$1".png -resize 50% \) \
		${size}x${size}/places/folder.png ${size}x${size}/places/folder-"$2".png
	}

	for size in 16 22 24 32 48 64 72 96 128; do
		# create icon for category "Education"
		ln -s "../status/dialog-information.png" \
		"${size}x${size}/categories/applications-science.png"

		# create xdg-folders
		comp apps/internet-web-browser publicshare
		comp actions/go-down download
		comp actions/document-properties templates
		comp mimetypes/audio-x-generic music
		comp mimetypes/image-x-generic pictures
		comp mimetypes/video-x-generic videos
		comp mimetypes/x-office-document documents
	done

	ln -s "../status/dialog-information.svg" \
		"scalable/categories/applications-science.svg"

popd

%post
%update_icon_cache Tango

%files
%doc README* AUTHORS* ChangeLog* COPYING
%doc tango_addon/readme.txt
%dir %{_iconsdir}/Tango/
%{_iconsdir}/Tango/*/
%{_iconsdir}/Tango/index.theme
%ghost %{_iconsdir}/Tango/icon-theme.cache



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.8.90-18.mga10
+ Revision: 2213136
- Mageia 10 Mass Rebuild

* Thu Mar 31 2022 umeabot <umeabot> 0.8.90-17.mga9
+ Revision: 1836657
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.8.90-16.mga8
+ Revision: 1523581
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%apply_patches

* Sun Mar 10 2019 wally <wally> 0.8.90-15.mga7
+ Revision: 1373660
- update post requires for icon cache update
- remove unneeded postun requires

* Wed Sep 19 2018 umeabot <umeabot> 0.8.90-14.mga7
+ Revision: 1276646
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.8.90-13.mga6
+ Revision: 936362
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8.90-12.mga5
+ Revision: 745695
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.90-11.mga5
+ Revision: 689688
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.8.90-10.mga4
+ Revision: 519503
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.8.90-9.mga3
+ Revision: 384036
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 19 2012 wally <wally> 0.8.90-8.mga3
+ Revision: 332815
- update extras to 0.1.1 (source from SUSE)
- add rsvg patches (from SUSE)
- add missing xdg dirs (from Arch)
- remove useless postun script

* Tue Dec 18 2012 wally <wally> 0.8.90-7.mga3
+ Revision: 332657
- clean .spec

* Sat May 21 2011 ahmad <ahmad> 0.8.90-6.mga1
+ Revision: 99997
- Replace a reference to Mandriva with Mageia

* Fri Feb 18 2011 ahmad <ahmad> 0.8.90-5.mga1
+ Revision: 53373
- rename mandrivaupdate.svg to mageiaupdate.svg
- drop old obsoletes/provides
- don't ship some icons that look like Mandriva ones :/
- imported package tango-icon-theme


* Sun Sep 20 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.90-3mdv2010.0
+ Revision: 445387
- Add firefox.svg because the icon was renamed in firefox packages too
  (bug #53214)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Wed Mar 04 2009 Götz Waschk <waschk@mandriva.org> 0.8.90-1mdv2009.1
+ Revision: 348238
- new version
- update license
- update build deps

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 0.8.1-6mdv2009.0
+ Revision: 282486
- drop kde package
- update URL
- update build deps

* Sat Aug 02 2008 Thierry Vignaud <tv@mandriva.org> 0.8.1-5mdv2009.0
+ Revision: 261374
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 0.8.1-4mdv2009.0
+ Revision: 254111
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 13 2007 Jérôme Soyer <saispo@mandriva.org> 0.8.1-2mdv2008.1
+ Revision: 119414
- Add Xfce enhancements

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 0.8.1-1mdv2008.0
+ Revision: 72562
- new version


* Wed Feb 28 2007 Götz Waschk <waschk@mandriva.org> 0.8.0-1mdv2007.0
+ Revision: 126862
- new version
- bump deps
- Import tango-icon-theme

* Sat Sep 02 2006 Götz Waschk <waschk@mandriva.org> 0.7.2-1mdv2007.0
- rebuild for new clean_icon_cache macro

* Thu Aug 31 2006 Götz Waschk <waschk@mandriva.org> 0.7.2-6mdv2007.0
- fix uninstallation

* Wed Aug 30 2006 Götz Waschk <waschk@mandriva.org> 0.7.2-5mdv2007.0
- update tango addon
- remove big red close icon
- fix buildrequires

* Thu Jul 27 2006 Götz Waschk <waschk@mandriva.org> 0.7.2-4mdv2007.0
- fix uninstallation

* Thu Jul 27 2006 Götz Waschk <waschk@mandriva.org> 0.7.2-3mdv2007.0
- add png icons for KDE

* Thu Jul 27 2006 Götz Waschk <waschk@mandriva.org> 0.7.2-2mdv2007.0
- add extra icons
- fix buildrequires

* Thu Jul 27 2006 Götz Waschk <waschk@mandriva.org> 0.7.2-1mdv2007.0
- initial package

